import request from '/@/utils/request'

export function riskControlMeasureApi() {
    return {
        getRiskControlMeasureList: (data: object) => {
            return request({
                url: `/prevent/riskControlMeasure/select/getRiskControlMeasurePage`,
                method: 'post',
                data:data
            });
        },
        addRiskControlMeasure: (data: object) => {
            return request({
                url: `/prevent/riskControlMeasure/insert/saveRiskControlMeasure`,
                method: 'post',
                data:data
            });
        },
        modRiskControlMeasure: (data: object) => {
            return request({
                url: `/prevent/riskControlMeasure/update/updateRiskControlMeasure`,
                method: 'post',
                data:data
            });
        },
        deleteRiskControlMeasure: (data: object) => {
            return request({
                url: `/prevent/riskControlMeasure/delete/deleteRiskControlMeasure`,
                method: 'post',
                data:data
            });
        },
    }
}
